The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги | ]

18.10.2018 09:15  Выпуск VirtualBox 5.2.20

Компания Oracle сформировала корректирующий релиз системы виртуализации VirtualBox 5.2.20, в котором отмечено 15 исправлений. В новой версии:

  • В дополнения для гостевых систем с Linux добавлена поддержка ядра Linux 4.19, внесены различные исправления для корректной сборки модулей в свежих выпусках дистрибутивов, устранены ошибки в видеодрайвере.
  • Внесено большое число исправлений в интерфейс взаимодействия "Drag and drop", в том числе добавлена поддержка UNC-путей (\\ComputerName\SharedFolder\Resource в Windows).
  • В утилитах для управления гостевыми системами устранено зависание при использовании опций "--wait-stdout" "--wait-stderr".
  • Налажена возможность запуска процесса видеозаписи сеанса при включении виртуальной машины.
  • Устранено 14 уязвимостей, из которых 13 имеют критическую степень опасности (CVSS Score 8.6+). Наиболее опасная проблема c CVSS Score 9.0 затрагивает реализацию протокола VRDP. Подробные сведения об устранённых уязвимостях пока недоступны.


  1. Главная ссылка к новости (https://www.mail-archive.com/v...)
  2. OpenNews: Релиз системы виртуализации VirtualBox 5.2.18
  3. OpenNews: Релиз системы виртуализации VirtualBox 5.2.16
  4. OpenNews: Релиз системы виртуализации VirtualBox 5.2.14
Лицензия: CC-BY
Тип: Программы
Ключевые слова: virtualbox
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение Ajax/Линейный | Раскрыть все сообщения | RSS
 
  • 1.4, Аноним (4), 09:46, 18/10/2018 [ответить] [показать ветку] [···]    [к модератору]
  • –2 +/
    > В дополнения для гостевых систем с Linux добавлена поддержка ядра
    > Linux 4.19,

    stable api is nonsense!

    пилите, орацлы, они золотые!

     
     
  • 2.5, llolik (ok), 10:15, 18/10/2018 [^] [ответить]    [к модератору]
  • +/
    > stable api is nonsense!

    Внутриядерный - да. В оффтопике тоже для Native API справедливо, кстати. И что? Если пишешь драйверы, всегда надо быть готовым, что с любым обновлением возможно придётся возиться.

     
     
  • 3.6, нах (?), 10:51, 18/10/2018 [^] [ответить]    [к модератору]
  • +2 +/
    > Внутриядерный - да.

    какой еще апи должен использовать ядерный модуль паравиртуализации, по-вашему?

    > В оффтопике тоже для Native API справедливо, кстати. И что?

    и вранье, ага.

    в оффтопике после обновлений почему-то не приходится переустанавливать virtualbox, и даже при глобальных обновлениях XP-7-8-10, которые случаются вовсе не каждые две недели, изменения были минимальны.

    При этом XP и 10 таки существенно разные операционные системы, а что у вас в линуксе существенно разного между 2.6.32 и какое-там-у-вас-сегодня-модно-бессмысленное-сочетание-цифр - вы и сами не знаете.

    К тому же еще через две недели отменят и придумают что-нибудь в другом месте.

     
     
  • 4.14, Аноним (14), 11:55, 18/10/2018 [^] [ответить]    [к модератору]
  • +/
    А в чём враньё? Native API не документирован.
     
     
  • 5.18, нах (?), 15:33, 18/10/2018 [^] [ответить]    [к модератору]
  • –1 +/
    > А в чём враньё? Native API не документирован.

    ну ddk под него подложен (если мы про драйверы) - прослоечка весьма тоненькая.
    У линукса и такой нет.

     
  • 4.15, Fracta1L (ok), 12:15, 18/10/2018 [^] [ответить]    [к модератору]  
  • –1 +/
    > и даже при глобальных обновлениях XP-7-8-10, которые случаются вовсе не каждые две недели, изменения были минимальны

    То-то драйвера от ХР зачастую не работают на семёрке, а драйвера от семёрки зачастую не работают на десятке.

    > При этом XP и 10 таки существенно разные операционные системы

    Конечно существенно разные, поэтому куча софта и практически все драйвера отвалились напрочь.

     
     
  • 5.17, нах (?), 15:32, 18/10/2018 [^] [ответить]     [к модератору]  
  • –3 +/
    у меня практически весь софт тех времен работает, что я делаю не так драйвера в... весь текст скрыт [показать]
     
     
  • 6.19, Fracta1L (ok), 16:13, 18/10/2018 [^] [ответить]    [к модератору]  
  • –1 +/
    > у меня практически весь софт тех времен работает

    Это какой, например?

    > ну так ты и при наличии исходников не сможешь перенести драйвер из ведра 2.4.28 в пресловутое 4.19

    Мне это и не нужно.

     
     
  • 7.20, Andrey Mitrofanov (?), 16:35, 18/10/2018 [^] [ответить]    [к модератору]  
  • +/
    >> ну так ты и при наличии исходников не сможешь перенести драйвер из ведра 2.4.28 в пресловутое 4.19
    > Мне это и не нужно.

    А мне если б и нужно(*) было https://wiki.dd-wrt.com/wiki/index.php/ASUS_WL-520GC , я б всё одно не смог, а 4.19 не влез бы никогда в 2MB флэша [и 16 озу].

    (*)
    да-да! ядро 2.4.

    dd-wrt.v24_micro_generic -- привед броткому

    "2.4 kernel and the old proprietary broadcom driver (brcm-2.4"

    гм...
    "switched to tomatousb (2.6), which works flawlessly for the wl-520gu"
    аааа, "gave up for this unit and switched"

     
  • 4.21, llolik (ok), 16:43, 18/10/2018 [^] [ответить]    [к модератору]  
  • +/
    > какой еще апи должен использовать ядерный модуль паравиртуализации, по-вашему?

    Каким местом гостевые драйвера к ядерному модулю паравиртуализации?

    > в оффтопике после обновлений почему-то не приходится переустанавливать virtualbox при глобальных обновлениях XP-7-8-10, которые случаются вовсе не каждые две недели, изменения были минимальны.

    Речь в новости про гостевые дополнения. Вы там гостя с хостом часом не перепутали, уважаемый.

    Ну покажите, как там драйвера от 2000/XP ну и 7 в 10ке без адаптации работают (или в обратную сторону). Хорошо ли? Особенно те, которые лезут напрямую в ntdll и в ntoskrnl, а не только из WDK (klif.sys, например от Каспера). Или это загадка, что не всё экспортируемое ntdll и ntoskrnl есть в SDK/WDK?

     
     
  • 5.23, нах (?), 16:59, 18/10/2018 [^] [ответить]    [к модератору]  
  • –1 +/
    > Ну покажите, как там драйвера от 2000/XP ну и 7 в 10ке

    А это ничего, что прошло двадцать лет? У вас, лaп4aтыx - с 2004го года каждый день "is nonsense".
    В этом и разница. (да, до 2004го было не так, причем crap/bloatware было меньше, а существенных изменений немало. Сейчас никто отличий какого-нибудь 4.11 от 3.0.100 как ни скрипит мозгами, не назовет, а назовет так непонятно будет, что это за хня)

    > из WDK (klif.sys, например от Каспера). Или это загадка, что не
    > всё экспортируемое ntdll и ntoskrnl есть в SDK/WDK?

    и при этом каспер не разваливается каждую среду, и даже через одну вот странно-то, да? Хотя занимается совсем не тем, для чего предназначены паблик-интерфейсы, так что было бы неудивительно.

     
     
  • 6.27, llolik (ok), 22:46, 18/10/2018 [^] [ответить]    [к модератору]  
  • +1 +/
    > А это ничего, что прошло двадцать лет?

    Поддержка Win2k закончилась в 2010, поддержка XP - 2014, 7 - до сих пор какбы поддерживается. Так что про 20 лет передёргивать как-то рановато.
    > Сейчас никто отличий какого-нибудь 4.11  от 3.0.100 как ни скрипит мозгами, не назовет, а назовет так непонятно будет, что это за хня)

    Кому непонятно, кому и понятно.
    > и при этом каспер не разваливается каждую среду, и даже через одну вот странно-то, да?

    И совсем не потому, что Каспер при обновлении тащит не только базы, но и модули. И совсем не потому, что они не идиоты, и протестировали драйвера в разных условиях и продумали fallback-и. И уж совсем точно не потому, что доступ у исходным кодам и апдейтам, под NDA они имеют в числе первых.

     
  • 5.24, НяшМяш (ok), 17:36, 18/10/2018 [^] [ответить]    [к модератору]  
  • +/
    Самая большая проблема со старыми драйверами - это 64-битность современной винды. Я, например, на windows 7 32 лет 5 назад заводил 3com сетевуху с драйверами 99 года - и оно работало в домашних условиях и тащило торренты во все свои 100 мбит. Если есть драйвер подходящей битности - это уже 90% успеха. Остальные 10 - на ломающие изменения\багфиксы в самой системе и проверки версии в самих драйверах.
     
     
  • 6.25, пох (?), 22:20, 18/10/2018 [^] [ответить]    [к модератору]  
  • –1 +/
    не понял, в чем проблема - моя 32битная десяточка должна сегодня превратиться в тыкву?
    Или все же еще даже не завтра?

    проблема с драйверами это подписи, нормально не отключаемые, ну и то что неохота жить в 32битной, когда доступны 64.

    поэтому древний coolscan4000 запускаю из под xp. И еще не работает пиратская нокиевская тулза для перепрошивки доисторических телефонов, но там все плохо - и сама софтина, и коекакер-хакер криво отломавший проверку донглов.

     
     
  • 7.32, Аноним (32), 17:10, 20/10/2018 [^] [ответить]    [к модератору]  
  • +/
    Да даже с семёркой всё плохо. Поставил 64 бит - перестали работать все флешки за 200 рублей.
     
  • 3.8, iPony (?), 11:05, 18/10/2018 [^] [ответить]    [к модератору]  
  • +2 +/
    > В оффтопике тоже для Native API справедливо, кстати. И что?

    Почему тогда в истории изменения Virtualbox нету "починена работа на windows 10.11111, починена работа на windows 10.11112", починена работа на windows 10.11111"?

     
     
  • 4.13, Аноним (14), 11:54, 18/10/2018 [^] [ответить]    [к модератору]  
  • +2 +/
    Потому что virtualbox не использует Native API?
     
  • 1.7, iPony (?), 11:00, 18/10/2018 [ответить] [показать ветку] [···]    [к модератору]  
  • –2 +/
    > Внесено большое число исправлений в интерфейс взаимодействия "Drag and drop",

    Вот это хорошо, а то работало через пень-колоду.

     
  • 1.22, Наше имя Легион (?), 16:59, 18/10/2018 [ответить] [показать ветку] [···]    [к модератору]  
  • –2 +/
    виртуализацию vt-x/ept и amd-v/rvi запилили? или всё ещё говным-говно?
     
  • 1.28, Аноним (28), 11:12, 19/10/2018 [ответить] [показать ветку] [···]    [к модератору]  
  • –1 +/
    Еще бы поддержку последних версий XOrg запилили, чтобы аппаратное ускорение работало ((
     
     
  • 2.29, Поцтеринг (?), 12:44, 19/10/2018 [^] [ответить]    [к модератору]  
  • –1 +/
    какой вам еще xorк, вафлянд ваш новый стандарт!
     
     
  • 3.30, Аноним (30), 13:57, 19/10/2018 [^] [ответить]    [к модератору]  
  • +/
    Он там вообще не запускается.
     
     
  • 4.31, Поцтеринг (?), 16:01, 19/10/2018 [^] [ответить]    [к модератору]  
  • –1 +/
    а иксы ваши мы скоро выпилим/доломаем окончательно, так что и там тоже не будет!
     
  • 1.33, nc (ok), 23:12, 21/10/2018 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    Вроде бы начиная с 5.2 оказалась сломана поддержка гостевых Linux 32bit. Причем не совсем сломана, а вроде все работает, но некоторые программы падают с некорректной инструкцией. На 5.1x все те же работает без проблем. Интересно, починили?
     

     Добавить комментарий
    Имя:
    E-Mail:
    Заголовок:
    Текст:


      Закладки на сайте
      Проследить за страницей
    Created 1996-2018 by Maxim Chirkov  
    ДобавитьПоддержатьВебмастеруГИД  
    Hosting by Ihor